package cz.cvut.kbss.reporting.dto;

import cz.cvut.kbss.reporting.model.Person;
import cz.cvut.kbss.reporting.model.Tag;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class OccurrenceReportDetailDto implements Serializable {

    private OccurrenceDto occurrence;

    private Person author;

    private LocalDateTime created;

    private Person lastEditor;

    private List<Tag> tags;

    private LocalDateTime lastModified;

    private String narrative;
}
